package org.gcube.application.cms.plugins.reports;

import com.fasterxml.jackson.core.JsonProcessingException;
import lombok.Getter;
import lombok.NonNull;
import lombok.Setter;
import org.bson.Document;
import org.gcube.application.cms.plugins.faults.InvalidPluginRequestException;
import org.gcube.application.cms.plugins.faults.PluginExecutionException;
import org.gcube.application.cms.plugins.requests.IndexDocumentRequest;
import org.gcube.application.geoportal.common.model.document.Project;
import org.gcube.application.geoportal.common.model.document.identification.IdentificationReference;
import org.gcube.application.geoportal.common.model.document.identification.TemporalReference;

import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
public class IndexDocumentReport extends DocumentHandlingReport<IndexDocumentRequest> {

//    protected List<IdentificationReference> toSetIndexReferences=new ArrayList<>();


    public IndexDocumentReport(@NonNull IndexDocumentRequest theRequest) throws InvalidPluginRequestException {
        super(theRequest);
    }

//    @Override
//    public Project prepareResult() throws JsonProcessingException, PluginExecutionException {
//        Project toReturn= super.prepareResult();
//        if(toSetSpatialReference != null) toReturn.setSpatialReference(toSetSpatialReference);
//        if(toSetTemporalReference != null) toReturn.setTemporalReference(toSetTemporalReference);
//        return toReturn;
//    }
}
