package org.gcube.application.cms.commons.model.concessioni;

import org.gcube.application.cms.tests.model.concessioni.TestConcessioniFilters;
import org.gcube.application.cms.tests.model.concessioni.TestConcessioniModel;
import org.gcube.application.geoportal.common.model.legacy.Concessione;
import org.junit.Test;

import static org.junit.Assert.assertTrue;

public class Models {

    @Test
    public void checkFilters(){
        assertTrue(TestConcessioniFilters.filters.size()>0);
        TestConcessioniFilters.filters.keySet().forEach(f -> {
            System.out.println(f);});
    }

    @Test
    public void checkConcessione(){
        Concessione c= TestConcessioniModel.prepareConcessione(3,5);
        assertTrue(c.getPianteFineScavo().size()==3);
        assertTrue(c.getImmaginiRappresentative().size()==5);
    }
}
