package org.gcube.application.geoportal.common.model.document;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.*;
import org.gcube.application.geoportal.common.model.document.accounting.AccountingInfo;
import org.gcube.application.geoportal.common.model.document.accounting.User;

import java.time.LocalDateTime;

@NoArgsConstructor
@AllArgsConstructor
@Getter
@Setter
@ToString
public class Lock {

    public static final String ID="_id";
    public static final String INFO="_info";
    public static final String OPERATION="_operation";

    @JsonProperty(INFO)
    private AccountingInfo info;
    @JsonProperty(ID)
    private String id;
    @JsonProperty(OPERATION)
    private String operation;

}
