package org.gcube.application.geoportal.common.model.plugins;

import com.vdurmont.semver4j.Semver;
import lombok.*;
import lombok.extern.slf4j.Slf4j;

import javax.xml.bind.annotation.XmlRootElement;
import java.util.Map;

@Data
@NoArgsConstructor
@AllArgsConstructor
@XmlRootElement
public class PluginDescriptor {

    public PluginDescriptor(String id, String type) {
        this.id = id;
        this.type = type;
    }

    private String id;
    private String type;
    private String label;
    private String description;
    private Semver version;
}
